
Infrastructure - Bug #1618

mn.getCapabilities returns NodeList, but more appropriate to return Node

2011-06-01 18:41 - Rob Nahf

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.22-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

Since a node can only report about itself, the return type is more accurately described as a Node, rather than a NodeList with only

one Node element.  Changing the return type would simplify client parsing.

Probably good to change this while building towards 0.6.2 release, as other datatypes are changing.

History

#1 - 2011-06-01 18:45 - Rob Nahf

- Category set to Documentation

- Assignee set to Dave Vieglais

- Priority changed from Normal to High

#2 - 2011-06-03 00:12 - Dave Vieglais

- Status changed from New to Closed

MN.getCapabilities response changed to Node rather than NodeList
